getAnalyzePetFeatureResult(data: getAnalyzePetFeatureResultParam)
Requires:
@ray-js/ray≥1.6.27
Description
Get pet feature analysis results
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters: taskId Task ID, type Analysis type: 0 Pet features, 1 Food composition, 2 Similarity |
Return Value
Type: Promise<PetFeatureAnalyzeResult>
Promise that resolves to the analysis result (status, features, images, etc.); see type PetFeatureAnalyzeResult
Referenced Types
type
PetFeatureAnalyzeResult| Property | Type | Description |
|---|---|---|
analysisResult | 0 | 1 | 2 | Analysis status: 0 - Loading, 1 - Failed, 2 - Succeeded |
petType | "cat" | "dog" | Pet type: cat, dog |
| Feature code | ||
images | Images[] | Image analysis result |
hasMatch | boolean | Whether a similar one exists |
| Similar pets | ||
name | string | Food composition fields - Brand name |
protein | string | Crude protein content |
fat | string | Crude fat content |
fiber | string | Crude fiber content |
Valid Values
getAnalyzePetFeatureResultParam.type
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
2 | - | - |
PetFeatureAnalyzeResult.analysisResult
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
2 | - | - |
PetFeatureAnalyzeResult.petType
| Value | Description | Since |
|---|---|---|
cat | - | - |
dog | - | - |